<script>
import HttpError from '@/helpers/HttpError'

export default {

	data() {
		return {
		}
	},

	methods: {
		/**
		 * Opens information box.
		 */
		infoBox(message) {
			//infoMessage.value = message
			//infoOpen()
			alert(message)
		},

		/**
		 * Opens warning box.
		 */
		warningBox(message) {
			//warningMessage.value = message
			//warningOpen()
			alert(message)
		},

		/**
		 * Opens error box.
		 */
		errorBox(message) {
			//errorMessage.value = message
			//errorOpen()
			alert(message)
		},

		// ----------------------------------------------------------------------

		/**
		 * Handles REST error.
		 */
		errorRest(result) {
			if (!result || !result.json) {
				const message = t('serviceRunner.message')
				//errorMessage.value = message
				//errorOpen()
				alert(message)
			}
			else {
				const message = HttpError.get(result.json, this.$t, this.$i18n.locale)
				//warningMessage.value = message
				//warningOpen()
				alert(message)
			}
			return true
		},

		// ----------------------------------------------------------------------

		/**
		 * Open/close wait box.
		 */
		wait(open) {
			// nothings to do, for now
		},

		/**
		 * Change current locale.
		 */
		changeLocale(newLocale) {
			this.$i18n.locale = newLocale
		},
	},

	mounted() {
	},

	setup() {
	},

}
</script>


<template>
	<div></div>
</template>


<style scoped>
</style>
